<?php $sa_map_trial = $this->options; ?>

<form method="post" action="<?php echo esc_url(admin_url('/')); ?>admin.php?page=sa-map-trial">
<div id="map-admin">

  <div id="map-header">
    <p class="map-shortcode"><?php esc_html_e( 'Insert this shortcode ', 'sa-map-trial' ); ?><input type="text" value="[sa_map_trial]" readonly> <?php esc_html_e( 'in any page or post to display the map.', 'sa-map-trial' ); ?> &nbsp; | &nbsp; <span class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="<?php esc_html_e( 'Save Changes', 'sa-map-trial' ); ?>"></span></p>
    <p class="map-sample">This is a free map trial with few clickable countries but it has all the features and functionalities in the premium map.<br>You need to purchase and install the <a href="https://www.wpmapplugins.com/interactive-map-of-south-america-wordpress-plugin.html"><strong>Premium Map of South America</strong></a> to get the full map. Feel free to <a href="https://www.wpmapplugins.com/assets/contact.html" target="_blank">contact</a> us if you have any questions or need any help.</p>
  </div>

  <div id="map-page">

    <div class="map-col-lt">
      <div id="map-preview">
        <?php include 'map.php'; ?>
      </div>
    </div><!-- map-col-lt -->

    <!-- General Map Colors -->
    <div class="map-col-rt">
      <div class="map-settings">
        <div class="box-header shape-icon"><?php esc_html_e( 'General Settings', 'sa-map-trial' ); ?></div>
        <div class="box-body">
          <div class="general-box"><span class="general-set i-border"><?php esc_html_e( 'Border Color', 'sa-map-trial' ); ?></span>
            <input type="text" name="sabrdrclr_trial" value="<?php echo esc_attr($sa_map_trial['sabrdrclr_trial']); ?>" class="color-field" />
          </div>
          <div class="general-box"><span class="general-set i-show-hide"><?php esc_html_e( 'Show the Names', 'sa-map-trial' ); ?></span>
            <input type="checkbox" name="sashowvisns_trial" value="1" <?php if (isset($sa_map_trial['sashowvisns_trial']) && $sa_map_trial['sashowvisns_trial'] == '1') { echo esc_attr(" checked"); } ?>>
          </div>
          <div class="general-box"><span class="general-set i-abbs"><?php esc_html_e( 'Names Color', 'sa-map-trial' ); ?></span>
            <input type="text" name="savisns_trial" value="<?php echo esc_attr($sa_map_trial['savisns_trial']); ?>" class="color-field" />
          </div>
        </div><!-- box-body -->
      </div><!-- map-settings -->
    </div><!-- map-col-rt -->

  </div><!-- map-page -->

  <div class="map-settings areas-settings">
    <div class="box-header individ-i"><?php esc_html_e( 'Settings', 'sa-map-trial' ); ?></div>
    <div class="box-body">

      <div class="map-area"><p class="area-name"><?php esc_html_e( 'ARGENTINA', 'sa-map-trial' ); ?></p>
        <span class="chkbx"><input type="checkbox" name="enbl_1" value="1" <?php if (isset($sa_map_trial['enbl_1']) && $sa_map_trial['enbl_1'] == '1'){ echo esc_attr(" checked"); } ?>>&nbsp;<?php esc_html_e( 'Active', 'sa-map-trial' ); ?></span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label><?php esc_html_e( 'Up Color', 'sa-map-trial' ); ?></label><input type="text" name="upclr_1" value="<?php echo esc_attr($sa_map_trial['upclr_1']); ?>" class="color-field" /></p>  
            <p><label><?php esc_html_e( 'Hover Color', 'sa-map-trial' ); ?></label><input type="text" name="ovrclr_1" value="<?php echo esc_attr($sa_map_trial['ovrclr_1']); ?>" class="color-field" /></p> 
            <p><label><?php esc_html_e( 'Click Color', 'sa-map-trial' ); ?></label><input type="text" name="dwnclr_1" value="<?php echo esc_attr($sa_map_trial['dwnclr_1']); ?>" class="color-field" /></p>
          </div>
          <div class="area-url">
            <p class="link"><label><?php esc_html_e( 'Link', 'sa-map-trial' ); ?></label><input type="text" name="url_1" value="<?php echo esc_url($sa_map_trial['url_1']); ?>" /></p>
            <p><label><?php esc_html_e( 'Target', 'sa-map-trial' ); ?></label>
              <select name="turl_1">
                <option value="_self" <?php if ($sa_map_trial['turl_1'] == '_self'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'Same Page', 'sa-map-trial' ); ?></option>
                <option value="_blank" <?php if ($sa_map_trial['turl_1'] == '_blank'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'New Page', 'sa-map-trial' ); ?></option>
                <option value="none" <?php if ($sa_map_trial['turl_1'] == 'none'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'Modal / None', 'sa-map-trial' ); ?></option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_1"><?php echo esc_textarea($sa_map_trial['info_1']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name"><?php esc_html_e( 'BOLIVIA', 'sa-map-trial' ); ?></p>
        <span class="chkbx"><input type="checkbox" name="enbl_2" value="1" <?php if (isset($sa_map_trial['enbl_2']) && $sa_map_trial['enbl_2'] == '1'){ echo esc_attr(" checked"); } ?>>&nbsp;<?php esc_html_e( 'Active', 'sa-map-trial' ); ?></span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label><?php esc_html_e( 'Up Color', 'sa-map-trial' ); ?></label><input type="text" name="upclr_2" value="<?php echo esc_attr($sa_map_trial['upclr_2']); ?>" class="color-field" /></p>              
            <p><label><?php esc_html_e( 'Hover Color', 'sa-map-trial' ); ?></label><input type="text" name="ovrclr_2" value="<?php echo esc_attr($sa_map_trial['ovrclr_2']); ?>" class="color-field" /></p>              
            <p><label><?php esc_html_e( 'Click Color', 'sa-map-trial' ); ?></label><input type="text" name="dwnclr_2" value="<?php echo esc_attr($sa_map_trial['dwnclr_2']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label><?php esc_html_e( 'Link', 'sa-map-trial' ); ?></label><input type="text" name="url_2" value="<?php echo esc_url($sa_map_trial['url_2']); ?>" /></p>
            <p><label><?php esc_html_e( 'Target', 'sa-map-trial' ); ?></label>
              <select name="turl_2">
                <option value="_self" <?php if ($sa_map_trial['turl_2'] == '_self'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'Same Page', 'sa-map-trial' ); ?></option>
                <option value="_blank" <?php if ($sa_map_trial['turl_2'] == '_blank'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'New Page', 'sa-map-trial' ); ?></option>
                <option value="none" <?php if ($sa_map_trial['turl_2'] == 'none'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'Modal / None', 'sa-map-trial' ); ?></option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_2"><?php echo esc_textarea($sa_map_trial['info_2']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name"><?php esc_html_e( 'BRAZIL', 'sa-map-trial' ); ?></p>
        <span class="chkbx"><input type="checkbox" name="enbl_3" value="1" <?php if (isset($sa_map_trial['enbl_3']) && $sa_map_trial['enbl_3'] == '1'){ echo esc_attr(" checked"); } ?>>&nbsp;<?php esc_html_e( 'Active', 'sa-map-trial' ); ?></span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label><?php esc_html_e( 'Up Color', 'sa-map-trial' ); ?></label><input type="text" name="upclr_3" value="<?php echo esc_attr($sa_map_trial['upclr_3']); ?>" class="color-field" /></p>              
            <p><label><?php esc_html_e( 'Hover Color', 'sa-map-trial' ); ?></label><input type="text" name="ovrclr_3" value="<?php echo esc_attr($sa_map_trial['ovrclr_3']); ?>" class="color-field" /></p>              
            <p><label><?php esc_html_e( 'Click Color', 'sa-map-trial' ); ?></label><input type="text" name="dwnclr_3" value="<?php echo esc_attr($sa_map_trial['dwnclr_3']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label><?php esc_html_e( 'Link', 'sa-map-trial' ); ?></label><input type="text" name="url_3" value="<?php echo esc_url($sa_map_trial['url_3']); ?>" /></p>
            <p><label><?php esc_html_e( 'Target', 'sa-map-trial' ); ?></label>
              <select name="turl_3">
                <option value="_self" <?php if ($sa_map_trial['turl_3'] == '_self'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'Same Page', 'sa-map-trial' ); ?></option>
                <option value="_blank" <?php if ($sa_map_trial['turl_3'] == '_blank'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'New Page', 'sa-map-trial' ); ?></option>
                <option value="none" <?php if ($sa_map_trial['turl_3'] == 'none'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'Modal / None', 'sa-map-trial' ); ?></option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_3"><?php echo esc_textarea($sa_map_trial['info_3']); ?></textarea></p></div>
        </div>
      </div>

      <div class="map-area"><p class="area-name"><?php esc_html_e( 'CHILE', 'sa-map-trial' ); ?></p>
        <span class="chkbx"><input type="checkbox" name="enbl_4" value="1" <?php if (isset($sa_map_trial['enbl_4']) && $sa_map_trial['enbl_4'] == '1'){ echo esc_attr(" checked"); } ?>>&nbsp;<?php esc_html_e( 'Active', 'sa-map-trial' ); ?></span>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label><?php esc_html_e( 'Up Color', 'sa-map-trial' ); ?></label><input type="text" name="upclr_4" value="<?php echo esc_attr($sa_map_trial['upclr_4']); ?>" class="color-field" /></p>              
            <p><label><?php esc_html_e( 'Hover Color', 'sa-map-trial' ); ?></label><input type="text" name="ovrclr_4" value="<?php echo esc_attr($sa_map_trial['ovrclr_4']); ?>" class="color-field" /></p>              
            <p><label><?php esc_html_e( 'Click Color', 'sa-map-trial' ); ?></label><input type="text" name="dwnclr_4" value="<?php echo esc_attr($sa_map_trial['dwnclr_4']); ?>" class="color-field" /></p>             
          </div>
          <div class="area-url">
            <p class="link"><label><?php esc_html_e( 'Link', 'sa-map-trial' ); ?></label><input type="text" name="url_4" value="<?php echo esc_url($sa_map_trial['url_4']); ?>" /></p>
            <p><label><?php esc_html_e( 'Target', 'sa-map-trial' ); ?></label>
              <select name="turl_4">
                <option value="_self" <?php if ($sa_map_trial['turl_4'] == '_self'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'Same Page', 'sa-map-trial' ); ?></option>
                <option value="_blank" <?php if ($sa_map_trial['turl_4'] == '_blank'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'New Page', 'sa-map-trial' ); ?></option>
                <option value="none" <?php if ($sa_map_trial['turl_4'] == 'none'){ echo esc_attr("selected"); } ?>><?php esc_html_e( 'Modal / None', 'sa-map-trial' ); ?></option>
              </select>
            </p>
          </div>
          <div class="info"><p><textarea rows="3" name="info_4"><?php echo esc_textarea($sa_map_trial['info_4']); ?></textarea></p></div>
        </div>
      </div>

    </div><!-- box-body / for areas -->
  </div><!-- map-settings / for areas -->

  <div class="map-settings margin-top-10">
    <div class="box-header bulk-i"><?php esc_html_e( 'Bulk Edit', 'sa-map-trial' ); ?></div>
    <div class="box-body">
      <div class="map-area"><p class="area-name"><?php esc_html_e( 'COLORS', 'sa-map-trial' ); ?></p>
        <div class="inner-content">
          <div class="area-clrs">
            <p><label><?php esc_html_e( 'Up Color', 'sa-map-trial' ); ?></label><input type="text" name="upclr_all" value="<?php echo esc_attr($sa_map_trial['upclr_1']); ?>" class="color-field" /></p>
            <p><label><?php esc_html_e( 'Hover Color', 'sa-map-trial' ); ?></label><input type="text" name="ovrclr_all" value="<?php echo esc_attr($sa_map_trial['ovrclr_1']); ?>" class="color-field" /></p> 
            <p><label><?php esc_html_e( 'Click Color', 'sa-map-trial' ); ?></label><input type="text" name="dwnclr_all" value="<?php echo esc_attr($sa_map_trial['dwnclr_1']); ?>" class="color-field" /></p>             
          </div><hr>
          <p><span class="submitbulk"><input type="submit" class="button button-primary" name="submit-clrs" value="Overwrite Colors"></span> <strong><?php esc_html_e( 'Note: Clicking this button will overwrite the colors of the entire map.', 'sa-map-trial' ); ?></strong></p>
        </div>
      </div>
      <div class="map-area"><p class="area-name"><?php esc_html_e( 'LINK', 'sa-map-trial' ); ?></p>
        <div class="inner-content">
          <div class="area-url">
            <p class="link"><label><?php esc_html_e( 'Link', 'sa-map-trial' ); ?></label><input type="text" name="url_all" value="<?php echo esc_url($sa_map_trial['url_1']); ?>" /></p>
            <p><label><?php esc_html_e( 'Target', 'sa-map-trial' ); ?></label>
              <select name="turl_all">
                <option value="_self" <?php if ($sa_map_trial['turl_1'] == '_self') { echo esc_attr("selected"); } ?>><?php esc_html_e( 'Same Page', 'sa-map-trial' ); ?></option>
                <option value="_blank" <?php if ($sa_map_trial['turl_1'] == '_blank') { echo esc_attr("selected"); } ?>><?php esc_html_e( 'New Page', 'sa-map-trial' ); ?></option>
                <option value="none" <?php if ($sa_map_trial['turl_1'] == 'none') { echo esc_attr("selected"); } ?>><?php esc_html_e( 'Modal / None', 'sa-map-trial' ); ?></option>
              </select>
            </p>
          </div><hr>              
          <p><span class="submitbulk"><input type="submit" class="button button-primary" name="submit-url" value="Overwrite Links"></span> <strong><?php esc_html_e( 'Note: Clicking this button will overwrite the links of all the countries.', 'sa-map-trial' ); ?></strong></p>
        </div>
      </div>
      <div class="map-area"><p class="area-name"><?php esc_html_e( 'INFO.', 'sa-map-trial' ); ?></p>
        <div class="inner-content">
          <div class="info">
            <p><textarea rows="3" name="info_all"><?php echo esc_textarea($sa_map_trial['info_1']); ?></textarea></p>
          </div><hr>
          <p><span class="submitbulk"><input type="submit" class="button button-primary" name="submit-info" value="Overwrite Info."></span> <strong><?php esc_html_e( 'Note: Clicking this button will overwrite the info. of all the countries.', 'sa-map-trial' ); ?></strong></p>
        </div>
      </div>
    </div><!-- box-body / for bulk -->
  </div><!-- map-settings / for bulk -->

  <input type="hidden" name="sa_map_trial">
  <?php
  settings_fields(__FILE__);
  do_settings_sections(__FILE__);
  ?>

  <p class="restore-default-btn">
    <input type="submit" name="restore_default" class="button" value="<?php esc_html_e( 'Restore Default', 'sa-map-trial' ); ?>">
  </p>

    <div class="scroll-top"><span class="scroll-top-icon"></span></div>
    <!--scroll-top script-->
    <script>
      jQuery(function(){jQuery(document).on( 'scroll', function(){ if (jQuery(window).scrollTop() > 100) {jQuery('.scroll-top').addClass('show');} else {jQuery('.scroll-top').removeClass('show');}});jQuery('.scroll-top').on('click', scrollToTop);});function scrollToTop() {verticalOffset = typeof(verticalOffset) != 'undefined' ? verticalOffset : 0;element = jQuery('body');offset = element.offset();offsetTop = offset.top -32;jQuery('html, body').animate({scrollTop: offsetTop}, 500, 'linear');}
    </script>

</div><!-- map-admin -->
</form>
